Subject: [Rfced-future] Issue 17: Single contract for REP vs separate contracts for production (RPC) & publication

From: Eliot Lear <[email-masked]>
Date: Mon, 6 Sep 2021 09:32:47 +0200

Hi Mike,

We opened this issue ages ago.  This is about the editorial versus 
publication functions, and we have touched on this in several comments. 
In particular we talked bout combining the the publisher and editorial 
functions, but I don’t think we closed on the matter.  The current 
process is specified in Section 2.2 and 2.3 of RFC 8728.  As such, it 
overlaps with the review of that document, and that document is slated 
to be

Currently, the draft only references the RFC Publisher in a 
non-normative way at the beginning of Section 2.

The underlying question is whether we have to specify the two separate 
functions in the draft now, or is this something that should wait until 
the RSWG is formed.  Could people discuss?

Eliot

---

From: Michael StJohns <[email-masked]>
Date: Mon, 6 Sep 2021 16:29:13 -0400

On 9/6/2021 3:32 AM, Eliot Lear wrote:
> publication functions, and we have touched on this in several 
> comments. In particular we talked bout combining the the publisher and 
> editorial functions, but I don’t think we closed on the matter.  The 
> current process is specified in Section 2.2 and 2.3 of RFC 8728.  As 
> such, it overlaps with the review of that document, and that document 
> is slated to be
>
> functions in the draft now, or is this something that should wait 
> until the RSWG is formed.  Could people discuss?
>
> Eliot

I didn't realize this was one of mine.  Hmm.

I think that we actually need to keep these separate, but let the LLC 
award the two different functions to the same group if they choose.  If 
we don't and we later decide there's a need to award to separate 
entities, we may find that there's no place to slide in an interface to 
separate the two functions.

Mike

---

From: Jay Daley <[email-masked]>
Date: Tue, 7 Sep 2021 10:26:32 +1200

> On 7/09/2021, at 8:29 AM, Michael StJohns <[email-masked]> wrote:
> 
>> We opened this issue ages ago.  This is about the editorial versus publication functions, and we have touched on this in several comments. In particular we talked bout combining the the publisher and editorial functions, but I don’t think we closed on the matter.  The current process is specified in Section 2.2 and 2.3 of RFC 8728.  As such, it overlaps with the review of that document, and that document is slated to be 
>> 
>> Currently, the draft only references the RFC Publisher in a non-normative way at the beginning of Section 2.
>> 
>> The underlying question is whether we have to specify the two separate functions in the draft now, or is this something that should wait until the RSWG is formed.  Could people discuss?
>> 
>> Eliot
> I think that we actually need to keep these separate, but let the LLC award the two different functions to the same group if they choose.  If we don't and we later decide there's a need to award to separate entities, we may find that there's no place to slide in an interface to separate the two functions.
> 
As an FYI, the IAOC (or then IAD) made a decision that I have only recently understood, to split the Publisher requirements between the Secretariat contract and the RPC contract, with no separate Publisher RFP or even SoW.

Jay

> Mike
> 
> 
> 
> -- 
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 7 Sep 2021 10:27:21 +1200

On 07-Sep-21 08:29, Michael StJohns wrote:
>> We opened this issue ages ago.  This is about the editorial versus publication functions, and we have touched on this in several comments. 
In particular we talked bout combining the the publisher and editorial functions, but I don’t think we closed on the matter.  The current process is specified in Section 2.2 and 2.3 of RFC 8728.  As such, it overlaps with the review of that document, and that document is slated to be
>> The underlying question is whether we have to specify the two separate 
functions in the draft now, or is this something that should wait until the RSWG is formed.  Could people discuss?
> I think that we actually need to keep these separate, but let the LLC award the two different functions to the same group if they choose.  If we don't and we later decide there's a need to award to…

I never really understood why we needed to specify this separation in an RFC, and even less so now that the LLC owns the contract instead of (formally) ISOC and (vaguely) the RSOC. So the less we say in the current document, the better, IMHO. I agree with Mike that we need future flexibility, and saying very little is the best way to ensure that.

    Brian

---

From: Russ Housley <[email-masked]>
Date: Mon, 6 Sep 2021 18:30:24 -0400

> On Sep 6, 2021, at 6:27 PM, Brian E Carpenter <[email-masked]> wrote:
> 

When the IAOC made this decision, we were paying more than one contractor to maintain web sites.  I'm fine with any wording that lets the LLC have one contractor or employee do this task.

Russ

---

From: Eliot Lear <[email-masked]>
Date: Tue, 7 Sep 2021 08:46:48 +0200

Hi Jay,

On 07.09.21 00:26, Jay Daley wrote:
> As an FYI, the IAOC (or then IAD) made a decision that I have only 
> recently understood, to split the Publisher requirements between the 
> Secretariat contract and the RPC contract, with no separate Publisher 
> RFP or even SoW.
>
Do you believe we need enabling language in this draft to support the above?

Eliot

---

From: Lars Eggert <[email-masked]>
Date: Tue, 7 Sep 2021 09:53:49 +0300

Hi,

> Do you believe we need enabling language in this draft to support the above?

I'm not Jay, but would argue that we should leave the LLC with flexibility how they structure the contracts needed to support the RFC Series.

Thanks,
Lars

---

From: Jay Daley <[email-masked]>
Date: Tue, 7 Sep 2021 19:00:08 +1200

> On 7/09/2021, at 6:47 PM, Eliot Lear <[email-masked]> wrote:
> 
> Hi Jay,
> 

No need thanks. In general I prefer that level of detail does not appear in the draft, or any draft for that matter.  

Jay

-- 
Jay Daley
IETF Executive Director 
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 8 Sep 2021 11:39:48 +1200

> Do you believe we need enabling language in this draft to support the above?

The draft already says:

   This document does not specify the exact relationship between the
   IETF LLC and the RPC function; for example, the RPC function could be
   provided by a separate corporate entity under contract to the IETF
   LLC, it could be performed by employees of the IETF LLC, or the IETF
   LLC could work with independent contractors for some or all aspects
   of the RPC function.  The exact relationship is a matter for the IETF
   LLC and the IETF Executive Director to determine.

IMHO that's all we need.

   Brian

---

From: Eliot Lear <[email-masked]>
Date: Sat, 11 Sep 2021 17:20:47 +0200

Ok.  I think what I'm hearing is "no new text needed.  Please comment if 
you disagree by the 25th of September.

Eliot